/* main styles */

.feature-container {
  display: flex;
  gap: 20px;
}

.category-sidebar {
  flex-shrink: 0;
  width: 250px;
  will-change: min-height;
  backface-visibility: hidden;
}

@media (max-width: 991px) {
  .category-sidebar {
    display: none;
  }
}

.category-sidebar .category-list-link::after {
  top: 50%;
  bottom: auto;
  transform: translateY(-50%);
  width: 5px;
  height: 10px;
  background: url(/includes/images/icons/others/icon-angle-right.svg) no-repeat;
  background-size: contain;
}

.category-sidebar-list {
  width: 250px;
  float:left;
  will-change: min-height;
  backface-visibility: hidden;
}

.category-sidebar-list .inner-wrapper-sticky {
  transform: translate(0, 0);
  transform: translate3d(0, 0, 0);
  will-change: position, transform;
  backface-visibility: hidden;
  width: 250px !important;
}

.category-content {
  position: relative;
}

.category-content .category-desc-wrapper {
  color: #96979f;
  max-height: 200px;
  margin-top: 17px;
  border-right: none;
  position: relative;
  z-index: 0;
}

.link-content {
  display: block;
}

.category-content .category-desc-wrapper .category-desc {
  color: #4e4e4e;
  font-size: 14px;
  line-height: 22px;
  overflow-y: auto;
  /* will-change: transform; */
  max-height: 320px;
}

.url_link_list_sites li {
  padding-left: 10px;
}

@media (max-width: 991px) {
  .url_link_list_sites li {
    padding-left: 40px;
  }
}

@media (min-width: 992px) {
  .category-content .category-desc-wrapper {
    max-height: 230px;
    margin-top: 0;
    float: right;
    width: 50%;
  }

  .category-content .category-desc-wrapper .category-desc {
    max-height: 230px;
  }
}

@media (min-width: 1400px) {
  .category-content .category-desc-wrapper {
    max-height: 250px;
  }

  .category-content .category-desc-wrapper .category-desc {
    max-height: 250px;
  }
}

@media (max-width: 991px) {
  .category-content .category-desc-wrapper {
    margin-top: 5px;
  }

  .category-content .category-desc-wrapper .category-desc {
    max-height: 160px;
  }
}

.category-content .category-desc-wrapper h3 {
  font-size: 18px !important;
  line-height: 1.3;
  color: #4c4c4c;
  margin: 0px 0 3px 0;
  font-weight: 500;
}

@media (max-width: 991px) {
  .category-content .category-desc-wrapper h3 {
    font-size: 16px !important;
  }
}

.link-details-review a,
.category-desc a {
  color: #2eaf61 !important;
}

@media (max-width: 991px) {
  footer.w-margin .copy-text {
    margin-bottom: 80px;
  }
}

.bottom-fixed-buttons {
  position: fixed;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: 49;
  background: #fff;
  padding: 7px 0 0;
}

@media screen and (min-width: 992px) {
  .bottom-fixed-buttons {
    display: none;
  }
}

.bottom-fixed-buttons .bottom-site-info {
  text-align: center;
  z-index: 101;
  margin: 5px;
  border-radius: 5px;
  position: relative;
  box-shadow: 0 5px 9px rgba(255, 151, 1, 0.33);
  border-radius: 10px;
  background-color: #ff9701;
}

.bottom-fixed-buttons .bottom-site-info .link-holder {
  padding: 15px 6px;
  display: flex;
  align-items: center;
  justify-content: center;
  text-decoration: none;
}

.bottom-fixed-buttons .bottom-site-info .dude {
  flex-shrink: 0;
  width: 30px;
  height: 30px;
  margin: -10px 0 0 0;
  position: relative;
  top: 5px;
}

.bottom-fixed-buttons .bottom-site-info .link-text-holder {
  overflow: hidden;
  margin: 0 6px;
  white-space: nowrap;
  text-overflow: ellipsis;
  color: #fff;
}

.bottom-fixed-buttons .bottom-site-info .link-text {
  color: #fff;
  font-size: 24px;
  font-weight: 500;
  line-height: 22px;
}

.bottom-fixed-buttons .bottom-site-info .btn-icon {
  background: url(/includes/images/icons/others/w-icon-arrow-right.svg) no-repeat;
  background-size: cover;
  width: 33px;
  height: 18px;
  display: inline-block;
  vertical-align: middle;
  margin: 0 0 0 5px;
  flex-shrink: 0;
}

.bottom-fixed-buttons .btn-site {
  margin: 5px;
  box-shadow: none;
}

@media screen and (min-width: 992px) {
  .bottom-fixed-buttons .btn-site {
    display: none;
  }
}

.bottom-fixed-buttons .btn-main {
  margin: 5px;
}

@media screen and (min-width: 992px) {
  .bottom-fixed-buttons .btn-main {
    display: none;
  }
}

.bottom-fixed-buttons ul {
  display: flex;
  align-items: center;
  justify-content: space-around;
  padding: 0 10px;
}

.bottom-fixed-buttons li {
  display: inline-block;
  width: 50%;
  padding: 0 3px;
}

.bottom-fixed-buttons .scrollspy-btn-slot {
  display: flex;
  justify-content: center;
  align-self: start;
}

.bottom-fixed-buttons .item-link {
  display: inline-block;
  width: 100%;
  text-align: center;
  position: relative;
}

.bottom-fixed-buttons .item-counter {
  position: absolute;
  left: calc(50% + 20px);
  color: #000;
}

.bottom-fixed-buttons .item-ico {
  height: 32px;
  width: 32px;
  display: flex;
  margin: 0 auto;
  align-items: center;
  justify-content: center;
}

.bottom-fixed-buttons .item-ico .svg-icon {
  width: 100%;
  height: 100%;
}

.bottom-fixed-buttons .item-title {
  margin-top: 4px;
  color: #000;
  white-space: nowrap;
  display: inline-block;
  overflow: hidden;
  text-overflow: ellipsis;
  width: 100%;
  font-size: 12px;
}

.link-header {
  position: relative;
  padding: 5px 5px 5px 0;
  margin: 0 0 5px 0;
}

.link-header:after {
  content: '';
  position: absolute;
  left: 0;
  top: 100%;
  display: inline-block;
  width: 100%;
  height: 3px;
  border-radius: 1px;
}

@media (min-width: 992px) {
  .link-header:after {
    background-color: #e9ebed;
  }
}

.link-header h2,
.link-header h1 {
  word-break: break-word;
  text-transform: uppercase;
  font-weight: 500;
  font-size: 26px;
  color: #4c4c4c;
}

@media (max-width: 991px) {
  .link-header h2,
  .link-header h1 {
    font-size: 20px;
  }
}

.url_links_wrapper_related a .url_link_caption {
  padding: 8px 5px 4px 10px;
}

@media (max-width: 1200px) {
  .url_links_wrapper_related a .url_link_caption span:last-child {
    font-size: 12px;
    line-height: 20px;
  }
  .url_link_container .icon-site-list {
    gap: 8px;
    font-size: 13px;
  }
  .url_links_wrapper_related a .url_link_caption .icon-category {
    width: 24px;
    height: 24px;
  }
  .url_link_title .link {
    font-size: 13px;
  }
  .bottom-block .image {
    max-width: 255px;
  }
}

@media (min-width: 1201px) {
  .url_links_wrapper_related a .url_link_caption .icon-category {
    width: 28px;
    height: 28px;
  }
  .url_links_wrapper_related a .url_link_caption span:last-child {
    font-size: 13px;
  }
  .bottom-block .image {
    max-width: 255px;
  }
}

@media (min-width: 1401px) {
  .bottom-block .image {
    max-width: 300px;
  }
}

/* main styles */

.fixed-top ul {
  position: fixed;
  top: 0px;
  left: 50%;
  transform: translateX(-553px);
  width: 250px;
}

.fixed-bottom ul {
  position: fixed;
  bottom: 0px;
  left: 50%;
  transform: translateX(-553px);
  width: 250px;
}

@media (max-width: 1400px) {
  .fixed-top ul,
  .fixed-bottom ul {
    transform: translateX(-487px);
  }
}

.absolute-top ul {
  top: 0;
  position: absolute;
  transform: translateX(-50%);
  left: 50%;
  width: 250px;
}

.absolute-bottom ul {
  bottom: 0;
  position: absolute;
  transform: translateX(-50%);
  left: 50%;
  width: 250px;
}

/* category sidebar */

/* deadsite */

.url_link_image.deadsite {
  z-index: 5;
}

.url_link_image.deadsite .url_link_title, 
.url_link_image.deadsite .link2 {
  display: none;
}

.url_link_image.deadsite:hover {
  z-index: 1;
}

.url_link_image.deadsite:hover .deadsite-drop {
  opacity: 0;
  visibility: hidden;
}

.url_link_image .deadsite-drop {
  position: absolute;
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
  z-index: 12;
  transition: opacity .1s;
  padding: 10px 0 0 0;
  background-image: initial;
  background-color: rgba(26, 29, 32, .6);
  text-align: center;
  display: inline-block;
  transition: opacity .2s ease, 
  visibility .2s ease;
}

.url_link_image.deadsite .btn-site {
  display: none;
}

.url_link_image .deadsite-drop .icon-holder {
  display: inline-block;
  color: #fff;
  position: absolute;
  top: 0;
  left: 0;
  background: url(/includes/images/icons/others/deadsite.svg) 50% 50% no-repeat;
  background-size: 80%;
  width: 100%;
  height: 100%;
  text-align: center;
  z-index: -1;
}

@media (max-width: 1400px) {
  .url_link_image .deadsite-drop .icon-holder {
    background-size: 70%;
  }
}

.url_link_image .deadsite-drop .item-link {
  padding: 10px;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  color: #fff;
  text-decoration: none;
  border-radius: 5px;
  position: absolute;
  left: 50%;
  bottom: 10px;
  transform: translateX(-50%);
}

@media (max-width: 1400px) {
  .url_link_image .deadsite-drop .item-link {
    padding: 8px;
  }
}

.url_link_image .deadsite-drop .item-link .text {
  font-size: 14px;
  margin-right: 10px;
  display: inline-block;
  vertical-align: middle;
  word-break: break-word;
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
}

@media (max-width: 1400px) {
  .url_link_image .deadsite-drop .item-link .text {
    margin-right: 6px;
    font-size: 12px;
  }
}

.url_link_image .deadsite-drop .item-link .btn-icon {
  color: #fff;
  display: inline-block;
  vertical-align: bottom;
  background: url(/includes/images/icons/others/w-icon-arrow-right.svg) no-repeat;
  width: 16px;
  height: 10px;
  background-size: 16px;
  flex-shrink: 0;
}

@media (max-width: 1400px) {
  .url_link_image .deadsite-drop .item-link .btn-icon {
    width: 14px;
    background-size: 14px;
  }
}

.url_link_image .deadsite-drop .item-link .link-icon {
  color: #fff;
  display: inline-block;
  vertical-align: bottom;
  background: url(/includes/images/icons/others/w-icon-new-tab.svg) no-repeat;
  width: 20px;
  height: 20px;
  background-size: 18px;
  flex-shrink: 0
}

.url_link_image .deadsite-drop .link1 {
  background: #f89e49
}

.deadsite-title {
  color: #ffffff;
  font-size: 20px;
  font-weight: 500;
  text-align: center;
  text-transform: uppercase;
  display: block;
}

@media (max-width: 1400px) {
  .deadsite-title {
    font-size: 18px;
  }
}

@media (max-width: 424px) {
  .deadsite-title {
    font-size: 16px;
  }
}

.deadsite-subtitle {
  color: #ffffff;
  font-size: 14px;
  font-weight: 300;
  line-height: 24px;
  text-align: center;
  display: block;
}

@media (max-width: 480px) {
  .deadsite-subtitle {
    font-size: 12px;
    line-height: 20px;
  }
}

/* deadsite */

/* Category Flag Filter */

.link-header-line {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 10px;
}

.link-header-line .noicon {
  margin-right: 20px;
}

.category-filters {
  display: flex;
  flex-wrap: wrap;
  margin: 10px -10px 0;
}

.category-filters .category-filter {
  width: 33.332%;
  height: auto;
  padding: 10px;
}

@media (max-width: 767px) {
  .category-filters .category-filter {
    width: 50%;
  }
}

@media (max-width: 574px) {
  .category-filters .category-filter {
    width: 100%;
  }
}

.category-filter {
  font-size: 16px;
}

.category-filter-inner {
  position: relative;
  display: flex;
}

.category-filter .icon-flag {
  flex-shrink: 0;
  margin-right: 6px;
}

.category-filter-item-txt {
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
  pointer-events: none;
}

.category-filter-opener {
  overflow: hidden;
  width: 100%;
  font-family: sans-serif;
  border: 1px solid rgba(0, 0, 0, .15);
  background-color: #f8f9fa;
  color: #000;
  padding: .375rem 1.125rem .375rem .75rem;
  line-height: 1.5;
  font-size: 1rem;
  border-radius: .5rem;
  position: relative;
  text-align: left;
  white-space: nowrap;
}

.multi__dropdown-toggle {
  background-color: #dae0e5
}

.category-filter-opener::after {
  content: '';
  position: absolute;
  right: 6px;
  top: 50%;
  width: 9px;
  height: 5px;
  transform: translate3d(0, -50%, 0);
  background: url(/includes/images/icons/others/icon-angle-down.svg) no-repeat top right / contain;
  transition: transform .2s ease;
}

.category-filter-opener-txt {
  display: block;
  overflow: hidden;
  text-overflow: ellipsis;
}

.category-filter-dropdown {
  position: absolute;
  top: 100%;
  left: 0;
  right: 0;
  z-index: 10;
  transform: translate3d(0, 20px, 0);
  font-family: sans-serif;
  border: 1px solid rgba(0, 0, 0, .15);
  border-radius: .5rem;
  font-size: 1rem;
  overflow-y: auto;
  background-color: #fff;
  opacity: 0;
  visibility: hidden;
  transition: transform .2s ease,
  opacity .2s ease,
  visibility .2s ease;
}

.category-filter.is-open .category-filter-opener::after {
  transform: translate3d(0, -50%, 0) rotate(180deg);
}

.category-filter.is-open .category-filter-dropdown {
  opacity: 1;
  visibility: visible;
  transform: translate3d(0, 4px, 0);
}

.category-filter-list {
  max-height: 200px;
  list-style: none;
  margin: 0;
  padding: 15px;
  overflow-y: auto;
  background: 
    linear-gradient(#fff 33%, rgba(114,234,224, 0)),
    linear-gradient(rgba(114,234,224, 0), #fff 66%) 0 100%,
    radial-gradient(farthest-side at 50% 0, rgba(34,34,34, 0.5), rgba(0,0,0,0)),
    radial-gradient(farthest-side at 50% 100%, rgba(34,34,34, 0.5), rgba(0,0,0,0)) 0 100%;
  background-color: #fff;
  background-repeat: no-repeat;
  background-attachment: local, local, scroll, scroll;
  background-size: 100% 45px, 100% 45px, 100% 15px, 100% 15px;
}

.category-filter-item {
  --animation-rgb-value: 118, 118, 118;

  position: relative;
  display: flex;
  align-items: center;
  text-transform: none;
  line-height: 1.4;
  margin-bottom: 6px;
  padding-right: 16px;
  color: #000;
  cursor: pointer;
  transition: color .2s ease;
}

.category-filter-item::after {
  content: '';
  position: absolute;
  top: 50%;
  right: 8px;
  transform: translate3d(0, -50%, 0);
  display: inline-block;
  width: 6px;
  height: 6px;
  border-radius: 50%;
  background-color: #fa9e43;
  opacity: 0;
  visibility: hidden;
  transition: opacity .2s ease,
  visibility .2s ease;
}

.category-filter-item.is-selected,
.category-filter-item.is-selected .category-filter-link {
  color: #fa9e43;
}

.category-filter-item.is-selected .category-filter-link {
  pointer-events: none;
}

.category-filter-item.is-selected::after {
  opacity: 1;
  visibility: visible;
}

.category-filter-link {
  display: flex;
  align-items: center;
  width: 100%;
  color: #000;
  transition: color .2s ease;
}

@media (min-width:992px) {
  .category-filter-item:hover,
  .category-filter-link:hover {
    color: #fa9e43;
  }

  .category-filter-item:hover::after {
    animation: pulse 1s infinite;
  }
}

.category-filter-item:last-child {
  margin: 0;
}

.url_link_container.is-none {
  display: none;
}

/* End Category Flag Filter */

.dark .category-filter-opener {
  border-color: #626262;
  background-color: #3c3e44;
  color: #fff;
}

.dark .category-filter-dropdown {
  border-color: #626262;
}

.dark .category-filter-list {
  background: 
    linear-gradient(#3c3e44 33%, rgba(60,62,68, 0)),
    linear-gradient(rgba(60,62,68, 0), #3c3e44 66%) 0 100%,
    radial-gradient(farthest-side at 50% 0, rgba(187,187,187, 0.5), rgba(0,0,0,0)),
    radial-gradient(farthest-side at 50% 100%, rgba(187,187,187, 0.5), rgba(0,0,0,0)) 0 100%;
  background-color: #3c3e44;
  background-repeat: no-repeat;
  background-attachment: local, local, scroll, scroll;
  background-size: 100% 45px, 100% 45px, 100% 15px, 100% 15px;
}

.dark .category-filter-item {
  color: #fff;
}

.dark .category-filter-link {
  color: #fff;
}


/**
 * * ==================================================
 * * subscribe.css
 * * ==================================================
 */

.subscribe-holder {
  position: relative;
}

.subscribe-opener {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 34px;
  height: 34px;
  border: 2px solid #b1b1b1;
  border-radius: 50%;
  color: #434343;

  transition:
    border-color .2s ease,
    color .2s ease;

}

@media (min-width: 992px) {
  .subscribe-opener {
    width: 40px;
    height: 40px;
  }
}

.subscribe-opener .icon {
  width: 16px;
  height: 20px;
}

.subscribe-opener .loader {
  box-sizing: content-box;
  position: absolute;
  width: 100%;
  height: 100%;
  z-index: 1;
  display: none;
}

.subscribe-opener .badge {
  position: absolute;
  top: -10px;
  right: -10px;
  z-index: 1;
  animation: fadeEffect .2s;
}

.dark .subscribe-opener {
  border-color: #fff;
  color: #fff;
}